package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import java.net.*;
public class Fur_IP {
public static String getMyIP() {
  String IP = "";
  try {
    IP = InetAddress.getLocalHost().getHostAddress();
 }
  catch (Exception e) { Fur_File.Trace("ERROR: Fur_IP.getMyIP: "+e.getMessage());};
  return IP;
}
public static String getMyMAC() {
  String MACADR = "";
  try {
    InetAddress address = InetAddress.getLocalHost();
    NetworkInterface ni = NetworkInterface.getByInetAddress(address);
    byte[] mac = ni.getHardwareAddress();
    for (int i = 0; i < mac.length; i++) {	
      String str=Integer.toHexString(mac[i]).substring(0,2);
      if (str.length()<2) str="0"+str;
      MACADR+="-"+str;
    }
 }
  catch (Exception e) { Fur_File.Trace("ERROR: Fur_IP.getMyMAC: "+e.getMessage());};
  return MACADR.substring(1).toUpperCase();
}
public static boolean isPing(String PaIP, String PbTimeOut) {
  boolean b= true;
  try {
    InetAddress ia = InetAddress.getByName(PaIP);
    b = ia.isReachable(Integer.parseInt(PbTimeOut));
  }
  catch (Exception e) {b=false;Fur_File.Trace("ERROR:Fur_IP.ping:"+e.getMessage());};
  return b;
}
}
